--- title: "Get Vendor Policy IDs by POP" slug: "get-policy-vendor-ids" updated: 2026-03-22T16:42:06Z published: 2026-03-26T10:08:53Z canonical: "docs.plainid.io/get-policy-vendor-ids" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # Get Vendor Policy IDs by POP Get/orchestrator/2.0/pops/{envId}/{popId}/policies This V1 API call is deprecated. Ensure that you use the [Get Vendor Policy IDs by POP](/apidocs/get-policy-vendor-ids-v2) API call instead. This is an API call to get a list of Policies by Environment and POP ID. ## Notice Accessing the APIs is through a dedicated domain/URL, according to your PlainID Tenant Location**United States (US)** - `https://api.us1.plainid.io`**Canada (CA)** - `https://api.ca1.plainid.io`**Europe (EU)** - `https://api.eu1.plainid.io` ### Important note about headers Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool. #### Headers *Required | Header | Value | cURL Line | | --- | --- | --- | | Accept | `application/json` | `-H"Accept: application/json"` | ### cURL Sample Guidelines In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format. ### Using HTML Encoded Special Characters Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list. SecurityHTTPType bearer For more details about Administration API Authentication, check out the Authentication APIs documentation Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123` Path parametersenvIdstringRequired Environment ID. You can find the Environment ID in your Environment Settings. popIdstringRequired POP ID. You can find the POP ID using the [GET List of POPs API](https://docs.plainid.io/v1-api/apidocs/get-pop-list) or through the UI under your POP settings. Pattern^[a-zA-Z0-9_:.-]+$ Query parametersfilter[name]string Filter by Policy Name. limitnumber Limit for pagination. Minimum1Maximum1000Default50.0 offsetnumber Offset for pagination. Minimum0Default0.0 Responses200 List of POP-related Policies ```json { "data": [ { "vendorPolicyId": "role_0b9192e5-6b04-4350-a781-021878c04689_20432", "name": "Role1", "type": "ALLOW" }, { "vendorPolicyId": "role_0b9192e5-6b04-4350-a781-021878c04689_20441", "name": "Role2", "type": "ALLOW" } ], "meta": { "limit": 50, "offset": 0, "total": 2 } } ``` Array of object object data Array of object (VendorPolicy) object vendorPolicyIdstring namestring typestring metaobject (meta) Response Meta totalinteger Total number of records limitinteger Limit the number of records returned offsetinteger The starting point for return of records 401 Unauthorized 500 Internal Server Error